module Dunlop::ProcessIdentification
  extend ActiveSupport::Concern
  delegate :process_name, :scenario_name, to: :class

  module ClassMethods
    def process_name
      name.split('::').first.underscore
    end

    def scenario_name
      name.split('::')[1].try(:underscore)
    end
  end
end
